--巅峰竞猜选择支持对手
Lua_PeakDuelGuessSelectWindow = class("Lua_PeakDuelGuessSelectWindow", Lua_Window)
function Lua_PeakDuelGuessSelectWindow:ctor()
	self:superCall("ctor")

	self.windowName = "Lua_PeakDuelGuessSelectWindow"
	self.skinName = "PeakDuelGuessSelectWindow_skin"
	self.showBlackMask = true
	self.isClickClose = true
end

function Lua_PeakDuelGuessSelectWindow:buildShowItem()
	self:superCall("buildShowItem")

	self.itemIcon = Lua_ItemIcon.new(self.content)
	self.itemIcon:setLocation(0, -7, 0)

	self.btnCancel:addClickFuntion(self,self.hide)
	self.btnSure:addClickFuntion(self,self.onSureClick)
end

function Lua_PeakDuelGuessSelectWindow:showWin(param)
	self:superCall("showWin", param)

	self.desText.text = LanUtil.formateStr(202962, param.name)
	
	local reward = DataCenter.peakDuelUtil.guess_reward
    local tvo = Lua_ToolVo.createToolVo(reward[1][1], reward[1][2])
	self.itemIcon:setData(tvo)
end

function Lua_PeakDuelGuessSelectWindow:dispose()
	if self.itemIcon then
		self.itemIcon:dispose()
		self.itemIcon = nil
	end
	self:superCall("dispose")
end

function Lua_PeakDuelGuessSelectWindow:onSureClick()
	if self.showData then
		Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDGuessBet(self.showData.bet_id)
	end
	self:hide()
end