--巅峰竞猜结果
Lua_PeakDuelGuessResultWindow = class("Lua_PeakDuelGuessResultWindow", Lua_Window)
function Lua_PeakDuelGuessResultWindow:ctor()
	self:superCall("ctor")

	self.windowName = "Lua_PeakDuelGuessResultWindow"
	self.skinName = "PeakDuelGuessResultWindow_skin"
	self.showBlackMask = true
	self.isClickClose = true
end

function Lua_PeakDuelGuessResultWindow:buildShowItem()
	self:superCall("buildShowItem")

	self.itemIcon = Lua_ItemIcon.new(self.content)
	self.itemIcon:setScale(0.9, 0.9, 1)
	self.itemIcon:setLocation(0, -33, 0)
end

function Lua_PeakDuelGuessResultWindow:dispose()
	if self.itemIcon then
		self.itemIcon:dispose()
		self.itemIcon = nil
	end
	self:superCall("dispose")
end

function Lua_PeakDuelGuessResultWindow:showWin(param)
	self:superCall("showWin", param)
	local reward
	if param == 1 then
		self.titleName:setAltas("championship_2", "xui_jys_title_2")
		self.resultText:setLangValue(202960)
		reward = DataCenter.peakDuelUtil.guess_reward
	else
		self.titleName:setAltas("peak_duel_altas", "xui_dfs_title_1")
		self.resultText:setLangValue(202961)
		reward = DataCenter.peakDuelUtil.guess_fail_reward
	end
	local tvo = Lua_ToolVo.createToolVo(reward[1][1], reward[1][2])
	self.itemIcon:setData(tvo)
end